Skip to main content
`Ctrl`+`K`

# TaoBRGNSetL1SmoothEpsilon

Set the L1-norm smooth approximation parameter for L1-regularized least-squares algorithm

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoBRGNSetL1SmoothEpsilon(Tao tao, PetscReal epsilon)

Collective

## Input Parameters

- tao - the `Tao` solver context

- epsilon - L1-norm smooth approximation parameter

## See Also

`Tao`, `Mat`, `TAOBRGN`

## Level

advanced

## Location

src/tao/leastsquares/impls/brgn/brgn.c

## Examples

src/tao/leastsquares/tutorials/cs1.c

## Implementations

TaoBRGNSetL1SmoothEpsilon_BRGN() in src/tao/leastsquares/impls/brgn/brgn.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages